curl --request PATCH \
--url https://app.proliferate.com/api/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"agentInstructions": "<string>",
"defaultPrebuildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowAgenticRepoSelection": true,
"agentType": "<string>",
"modelId": "<string>"
}
'{
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"agent_instructions": "<string>",
"default_prebuild_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_agentic_repo_selection": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"agent_type": "<string>",
"model_id": "<string>",
"default_prebuild": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"snapshot_id": "<string>"
},
"creator": {
"id": "<string>",
"name": "<string>",
"image": "<string>"
}
}
}curl --request PATCH \
--url https://app.proliferate.com/api/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"agentInstructions": "<string>",
"defaultPrebuildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowAgenticRepoSelection": true,
"agentType": "<string>",
"modelId": "<string>"
}
'{
"automation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"agent_instructions": "<string>",
"default_prebuild_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allow_agentic_repo_selection": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"agent_type": "<string>",
"model_id": "<string>",
"default_prebuild": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"snapshot_id": "<string>"
},
"creator": {
"id": "<string>",
"name": "<string>",
"image": "<string>"
}
}
}API key authentication. Get your API key from the Proliferate dashboard.
Body
200
Show child attributes